﻿namespace NMag.Core
{
    public enum TimeScale
    {
        None,
        Hours,
        Days,
        Months,
        Dates
    }

    public class Axis
    {
        public Axis(string quantity, string unit, bool decimalValues, TimeScale timeScale = TimeScale.None)
        {
            Quantity = quantity;
            Unit = unit;
            DecimalValues = decimalValues;

            TimeScale = timeScale;
        }

        public string Quantity { get; private set; }
        public string Unit { get; private set; }
        public string Title
        {
            get { return $"{Quantity} [{Unit}]"; }
        }

        public bool DecimalValues { get; private set; }

        public TimeScale TimeScale { get; set; }

        public Axis Clone()
        {
            return new Axis(Quantity, Unit, DecimalValues, TimeScale);
        }
    }
}
