﻿using System.Linq;

namespace NMag.Core
{
    public class ControlPointModule : Module
    {
        public ControlPointModule(int number, string name)
            : base(ModuleType.ControlPoint, number)
        {
            Units.Add(new ControlPointUnit(this, name));
        }

        private ControlPointModule(ControlPointModule module)
            : base(module)
        {
            if (module != null) { Units.Add(module.ControlPoint); }
        }

        public ControlPointUnit ControlPoint
        {
            get { return UnitHelper.GetControlPoints(Units).FirstOrDefault(); }
        }

        public override Module Clone()
        {
            return new ControlPointModule(this);
        }
    }
}
