﻿using System.Linq;

namespace NMag.Core
{
    public class ReservoirModule : Module
    {
        public ReservoirModule(int number, string name, double lrwl, double hrwl, double volume)
            : base(ModuleType.Reservoir, number)
        {
            Units.Add(new ReservoirUnit(this, name, lrwl, hrwl, volume));
        }

        private ReservoirModule(ReservoirModule module)
            : base(module)
        {
            if (module != null) { Units.Add(module.Reservoir.Clone()); }
        }

        public ReservoirUnit Reservoir
        {
            get { return UnitHelper.GetReservoirs(Units).FirstOrDefault(); }
        }

        public override Module Clone()
        {
            return new ReservoirModule(this);
        }
    }
}