﻿using System.Linq;

namespace NMag.Core
{
    public class TransferModule : Module
    {
        public TransferModule(int number, string name)
            : base(ModuleType.Transfer, number)
        {
            Units.Add(new TransferUnit(this, name));
        }

        private TransferModule(TransferModule module)
            : base(module)
        {
            if(module != null) { Units.Add(module.Transfer.Clone()); }
        }

        public TransferUnit Transfer
        {
            get { return UnitHelper.GetTransfers(Units).FirstOrDefault(); }
        }

        public override Module Clone()
        {
            return new TransferModule(this);
        }
    }
}
