﻿using System;
using System.Collections.Generic;

namespace NMag.Core
{
    public class ProjectSettings
    {
        public ProjectSettings() { }

        private ProjectSettings(ProjectSettings settings)
        {
            _comments = settings._comments;
            TimeResolution = settings.TimeResolution;
            MaxCurv = settings.MaxCurv;
        }

        private const int MAX_COMMENTS = 30;

        private List<string> _comments = new List<string>();
        public List<string> Comments
        {
            get
            {
                return new List<string>(_comments);
            }
            set
            {
                _comments = value.GetRange(0, Math.Min(MAX_COMMENTS, value.Count));
            }
        }

        public int TimeResolution { get; set; } = 365;

        public int MaxCurv { get; set; } = 9;

        public ProjectSettings Clone()
        {
            return new ProjectSettings(this);
        }
    }
}
