﻿using System;

namespace NMag.Core
{
    public enum UnitType
    {
        Reservoir,
        PowerPlant,
        Transfer,
        ControlPoint
    }

    public abstract class Unit
    {
        protected Unit(UnitType type, Module module, string name)
        {
            UnitType = type;
            Module = module;
            Name = name;
        }

        protected Unit(Unit unit)
        {
            if(unit == null) { return; }

            UnitType = unit.UnitType;
            Module = unit.Module;
            Name = unit.Name;
            ID = unit.ID;
        }

        public UnitType UnitType { get; private set; } = UnitType.Reservoir;

        public Guid ID { get; private set; } = Guid.NewGuid();
        public Module Module { get; private set; }
        public string Name { get; set; } = "";

        public abstract Unit Clone();
    }
}
