﻿using NMag.Core.Utilization;
using System.Collections.Generic;
using System.Linq;

namespace NMag.Core
{
    public class DataLine
    {
        public DataLine() { }
        
        public DataLine(List<string> values)
        {
            Values = values;
        }

        public List<string> Values { get; set; } = new List<string>();

        public string ToString(string delimiter)
        {
            return string.Join(delimiter, Values.Select(v => v.Replace(delimiter, "")));
        }

        public string ToString(int columnWidth)
        {
            return string.Join("", Values
                .Select(v => v
                    .AddLead(' ', 
                    (v.Length < columnWidth ? columnWidth - v.Length : 0))));
        }
    }
}
