﻿using System.Collections.Generic;
using System.Linq;

namespace NMag.Core.FlowDiagram
{
    public class FlowChain
    {
        public FlowChain(int moduleNumber)
        {
            ModuleNumbers.Add(moduleNumber);
            Number = moduleNumber;
        }

        public int Number { get; private set; }
        public List<int> ModuleNumbers { get; private set; } = new List<int>();
        public int Lowest
        {
            get { return ModuleNumbers.First(); }
        }
        public int Highest
        {
            get { return ModuleNumbers.Last(); }
        }

        public List<int> Sources { get; private set; } = new List<int>();
        public List<int> Sinks { get; private set; } = new List<int>();

        public int Level { get; set; } = -1;
        public int Column { get; set; } = 0;

        public bool IsAbsorbed { get; set; } = false;
        public bool IsComplete { get; set; } = false;
    }
}
