﻿using NMag.Core;
using NMag.UI.Views;
using System.IO;
using System.Linq;
using System.Windows;

namespace NMag.UI
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App : Application
    {
        public static Project Project { get; set; }

        protected override void OnStartup(StartupEventArgs e)
        {
            base.OnStartup(e);

            string fileName = e.Args.FirstOrDefault()?.ToString() ?? "";

            if (!File.Exists(fileName) || Path.GetExtension(fileName) != ".nmag")
            {
                fileName = "";
            }

            new ApplicationView(fileName).ShowDialog();
        }
    }
}
