﻿using System.Windows;
using System.Windows.Input;

namespace NMag.UI.Dialogs
{
    public abstract class BaseDialog : Window
    {
        public BaseDialog()
        {
            WindowStartupLocation = WindowStartupLocation.CenterScreen;
            KeyDown += BaseDialog_KeyDown;
        }

        public void BaseDialog_KeyDown(object sender, System.Windows.Input.KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                On_Ok();
            }

            if (e.Key == Key.Escape)
            {
                On_Cancel();
            }
        }

        protected virtual void On_Ok()
        {
            DialogResult = true;
        }

        protected virtual void On_Cancel()
        {
            DialogResult = false;
        }
    }
}
