﻿using System.Windows;

namespace NMag.UI.Dialogs
{
    /// <summary>
    /// Interaction logic for TextInputDialog.xaml
    /// </summary>
    public partial class TextInputDialog : BaseDialog
    {
        public TextInputDialog(string title, string description, string nullError = "", string text = "")
        {
            InitializeComponent();

            _nullError = nullError;
            Title = title;
            Label_Description.Content = description;
            Result = text;
            TextBox_Input.Focus();
        }

        private string _nullError;

        public string Result
        {
            get
            {
                return TextBox_Input.Text;
            }
            set
            {
                TextBox_Input.Text = value;
            }
        }
        
        protected override void On_Ok()
        {
            if (_nullError != "" && Result == "")
            {
                MessageBox.Show(_nullError, "Invalid Input", MessageBoxButton.OK, MessageBoxImage.Exclamation);
                return;
            }

            base.On_Ok();
        }

        private void Button_Ok_Click(object sender, RoutedEventArgs e)
        {
            On_Ok();
        }

        private void Button_Cancel_Click(object sender, RoutedEventArgs e)
        {
            On_Cancel();
        }
    }
}
