﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace NMag.UI.FlowDiagram
{
    public class LabelFactory
    {
        private MouseButtonEventHandler _onModuleClickHandler;

        public LabelFactory(MouseButtonEventHandler onModuleClickHandler)
        {
            _onModuleClickHandler = onModuleClickHandler;
        }

        public Label CreateTextBlock(Guid unitID, string text, Point position, int width, int height)
        {
            Label label = new Label(position, unitID, _onModuleClickHandler)
            {
                Child = new TextBlock()
                {
                    Text = text,
                    FontSize = 20,
                    TextWrapping = TextWrapping.Wrap,
                    VerticalAlignment = VerticalAlignment.Center,
                    HorizontalAlignment = HorizontalAlignment.Center
                },
                Width = width,
                Height = height
            };

            Canvas.SetLeft(label, position.X  - width / 2);
            Canvas.SetTop(label, position.Y - height / 2);

            return label;
        }
    }
}
