﻿using System.Windows.Input;

namespace NMag.UI.Miscellaneous
{
    public class MouseWheelDown : MouseGesture
    {
        public MouseWheelDown() : base(MouseAction.WheelClick) { }

        public MouseWheelDown(ModifierKeys modifiers) : base(MouseAction.WheelClick, modifiers) { }

        public override bool Matches(object targetElement, InputEventArgs inputEventArgs)
        {
            if (!base.Matches(targetElement, inputEventArgs))
            {
                return false;
            }

            if (!(inputEventArgs is MouseWheelEventArgs))
            {
                return false;
            }

            MouseWheelEventArgs args = (MouseWheelEventArgs)inputEventArgs;

            return args.Delta < 0;
        }
    }
}
