﻿using NMag.Core;
using NMag.Core.Utilization;

namespace NMag.UI.Models
{
    public class DataRow
    {
        public DataRow(Point point)
        {
            Point = new Point(point.X, point.Y);
        }

        public Point Point { get; set; }

        public double X
        {
            get
            {
                return Point.X;
            }
            set
            {
                Point.X = value;
            }
        }

        public string XString
        {
            get
            {
                return Point.X.Format(3);
            }
            set
            {
                if(value == "")
                {
                    value = "0";
                }

                if(value != "" && double.TryParse(value, out double parsedValue))
                {
                    Point.X = parsedValue;
                }
            }
        } // TODO Remove

        public double Y
        {
            get
            {
                return Point.Y;
            }
            set
            {
                Point.Y = value;
            }
        }

        public string YString
        {
            get
            {
                return Point.Y.Format(3);
            }
            set
            {
                if (value == "")
                {
                    value = "0";
                }

                if (value != "" && double.TryParse(value, out double parsedValue))
                {
                    Point.Y = parsedValue;
                }
            }
        } // TODO Remove
    }
}
