﻿using NMag.Core;
using NMag.UI.CustomControls;
using System;

namespace NMag.UI.Models
{
    public class PreferenceFunctionModel
    {
        private Action _updateChartsAction;

        public PreferenceFunctionModel(PreferenceFunction preferenceFunction, Action updateChartsAction)
        {
            PreferenceFunction = preferenceFunction;
            _updateChartsAction = updateChartsAction;
        }

        public PreferenceFunction PreferenceFunction { get; private set; }

        public int Start
        {
            get
            {
                return PreferenceFunction.Start;
            }
            set
            {
                if (value > 0 &&
                    value < 366 &&
                    value < PreferenceFunction.End)
                {
                    PreferenceFunction.Start = value;
                }
            }
        }
        public int End
        {
            get
            {
                return PreferenceFunction.End;
            }
            set
            {
                if (value > 0 &&
                    value < 366 &&
                    value > PreferenceFunction.Start)
                {
                    PreferenceFunction.End = value;
                }
            }
        }

        public ChartViewModel ChartViewModel
        {
            get
            {
                if (PreferenceFunction?.PreferenceCurve == null) { return null; }

                return new ChartViewModel(
                    new SeriesData(
                        PreferenceFunction.PreferenceCurve, 
                        SeriesData.SeriesType.Line),
                    _updateChartsAction);
            }
        }
    }
}
