﻿using NMag.UI.Views;
using System.Windows;
using System.Windows.Media;

namespace NMag.UI
{
    public enum ViewModelGroup
    {
        Setup,
        Simulation,
        Results
    }

    public abstract class MainViewModel : ViewModel
    {
        public MainViewModel(ApplicationViewModel application, string name, ViewModelGroup viewModelGroup)
        {
            Application = application;
            Name = name;
            ViewModelGroup = viewModelGroup;
        }

        public ApplicationViewModel Application { get; private set; }

        public string Name { get; }
        public ViewModelGroup ViewModelGroup { get; }

        public Brush NavigationColor
        {
            get
            {
                if (Application.CurrentViewModel == this)
                {
                    return SystemColors.ActiveCaptionBrush;
                }

                return Brushes.LightGray;
            }
        }

        public abstract ToolbarViewModel Toolbar { get; }

         public void UpdateToolbar()
        {
            Toolbar?.Update();
        }
    }
}
