﻿using NMag.UI.Miscellaneous;
using System.Windows.Input;

namespace NMag.UI.Views
{
    public class HydrologyToolbarViewModel : ToolbarViewModel
    {
        public HydrologyToolbarViewModel(MainViewModel mainViewModel)
            : base(mainViewModel) { }

        public ICommand AddSeriesCommand
        {
            get
            {
                return new RelayCommand(args => MainViewModel.AddSeries(),
                    args => MainViewModel.Application.Project != null);
            }
        }
        public ICommand EditSeriesCommand
        {
            get
            {
                return new RelayCommand(args => MainViewModel.EditSeries(),
                    args => (MainViewModel.SelectedName ?? "") != "");
            }
        }
        public ICommand DeleteSeriesCommand
        {
            get
            {
                return new RelayCommand(args => MainViewModel.DeleteSeries(),
                    args => (MainViewModel.SelectedName ?? "") != "");
            }
        }

        private HydrologyViewModel MainViewModel
        {
            get
            {
                return _mainViewModel as HydrologyViewModel;
            }
        }

        public override void Update() { }
    }
}
